﻿namespace Illumilib {
    /// <summary>
    ///  Specifies key codes and modifiers
    /// </summary>
    public enum KeyboardKeys {

        /// <summary>
        ///  The BACKSPACE key
        /// </summary>
        Back = 8,
        /// <summary>
        ///  The TAB key
        /// </summary>
        Tab = 9,
        /// <summary>
        ///  The ENTER key
        /// </summary>
        Enter = 13,
        /// <summary>
        ///  The PAUSE key
        /// </summary>
        Pause = 19,
        /// <summary>
        ///  The CAPS LOCK key
        /// </summary>
        CapsLock = 20,
        /// <summary>
        ///  The ESC key
        /// </summary>
        Escape = 27,
        /// <summary>
        ///  The SPACEBAR key
        /// </summary>
        Space = 32,
        /// <summary>
        ///  The PAGE UP key
        /// </summary>
        PageUp = 33,
        /// <summary>
        ///  The PAGE DOWN key
        /// </summary>
        PageDown = 34,
        /// <summary>
        ///  The END key
        /// </summary>
        End = 35,
        /// <summary>
        ///  The HOME key
        /// </summary>
        Home = 36,
        /// <summary>
        ///  The LEFT ARROW key
        /// </summary>
        Left = 37,
        /// <summary>
        ///  The UP ARROW key
        /// </summary>
        Up = 38,
        /// <summary>
        ///  The RIGHT ARROW key
        /// </summary>
        Right = 39,
        /// <summary>
        ///  The DOWN ARROW key
        /// </summary>
        Down = 40,
        /// <summary>
        ///  The SELECT key
        /// </summary>
        Select = 41,
        /// <summary>
        ///  The PRINT SCREEN key
        /// </summary>
        PrintScreen = 44,
        /// <summary>
        ///  The INS key
        /// </summary>
        Insert = 45,
        /// <summary>
        ///  The DEL key
        /// </summary>
        Delete = 46,
        /// <summary>
        ///  The 0 key
        /// </summary>
        D0 = 48,
        /// <summary>
        ///  The 1 key
        /// </summary>
        D1 = 49,
        /// <summary>
        ///  The 2 key
        /// </summary>
        D2 = 50,
        /// <summary>
        ///  The 3 key
        /// </summary>
        D3 = 51,
        /// <summary>
        ///  The 4 key
        /// </summary>
        D4 = 52,
        /// <summary>
        ///  The 5 key
        /// </summary>
        D5 = 53,
        /// <summary>
        ///  The 6 key
        /// </summary>
        D6 = 54,
        /// <summary>
        ///  The 7 key
        /// </summary>
        D7 = 55,
        /// <summary>
        ///  The 8 key
        /// </summary>
        D8 = 56,
        /// <summary>
        ///  The 9 key
        /// </summary>
        D9 = 57,
        /// <summary>
        ///  The A key
        /// </summary>
        A = 65,
        /// <summary>
        ///  The B key
        /// </summary>
        B = 66,
        /// <summary>
        ///  The C key
        /// </summary>
        C = 67,
        /// <summary>
        ///  The D key
        /// </summary>
        D = 68,
        /// <summary>
        ///  The E key
        /// </summary>
        E = 69,
        /// <summary>
        ///  The F key
        /// </summary>
        F = 70,
        /// <summary>
        ///  The G key
        /// </summary>
        G = 71,
        /// <summary>
        ///  The H key
        /// </summary>
        H = 72,
        /// <summary>
        ///  The I key
        /// </summary>
        I = 73,
        /// <summary>
        ///  The J key
        /// </summary>
        J = 74,
        /// <summary>
        ///  The K key
        /// </summary>
        K = 75,
        /// <summary>
        ///  The L key
        /// </summary>
        L = 76,
        /// <summary>
        ///  The M key
        /// </summary>
        M = 77,
        /// <summary>
        ///  The N key
        /// </summary>
        N = 78,
        /// <summary>
        ///  The O key
        /// </summary>
        O = 79,
        /// <summary>
        ///  The P key
        /// </summary>
        P = 80,
        /// <summary>
        ///  The Q key
        /// </summary>
        Q = 81,
        /// <summary>
        ///  The R key
        /// </summary>
        R = 82,
        /// <summary>
        ///  The S key
        /// </summary>
        S = 83,
        /// <summary>
        ///  The T key
        /// </summary>
        T = 84,
        /// <summary>
        ///  The U key
        /// </summary>
        U = 85,
        /// <summary>
        ///  The V key
        /// </summary>
        V = 86,
        /// <summary>
        ///  The W key
        /// </summary>
        W = 87,
        /// <summary>
        ///  The X key
        /// </summary>
        X = 88,
        /// <summary>
        ///  The Y key
        /// </summary>
        Y = 89,
        /// <summary>
        ///  The Z key
        /// </summary>
        Z = 90,
        /// <summary>
        ///  The left Windows logo key (Microsoft Natural Keyboard)
        /// </summary>
        LWin = 91,
        /// <summary>
        ///  The right Windows logo key (Microsoft Natural Keyboard)
        /// </summary>
        RWin = 92,
        /// <summary>
        ///  The Application key (Microsoft Natural Keyboard)
        /// </summary>
        Apps = 93,
        /// <summary>
        ///  The 0 key on the numeric keypad
        /// </summary>
        NumPad0 = 96,
        /// <summary>
        ///  The 1 key on the numeric keypad
        /// </summary>
        NumPad1 = 97,
        /// <summary>
        ///  The 2 key on the numeric keypad
        /// </summary>
        NumPad2 = 98,
        /// <summary>
        ///  The 3 key on the numeric keypad
        /// </summary>
        NumPad3 = 99,
        /// <summary>
        ///  The 4 key on the numeric keypad
        /// </summary>
        NumPad4 = 100,
        /// <summary>
        ///  The 5 key on the numeric keypad
        /// </summary>
        NumPad5 = 101,
        /// <summary>
        ///  The 6 key on the numeric keypad
        /// </summary>
        NumPad6 = 102,
        /// <summary>
        ///  The 7 key on the numeric keypad
        /// </summary>
        NumPad7 = 103,
        /// <summary>
        ///  The 8 key on the numeric keypad
        /// </summary>
        NumPad8 = 104,
        /// <summary>
        ///  The 9 key on the numeric keypad
        /// </summary>
        NumPad9 = 105,
        /// <summary>
        ///  The Multiply key
        /// </summary>
        Multiply = 106,
        /// <summary>
        ///  The Add key
        /// </summary>
        Add = 107,
        /// <summary>
        ///  The Subtract key
        /// </summary>
        Subtract = 109,
        /// <summary>
        ///  The Decimal key
        /// </summary>
        Decimal = 110,
        /// <summary>
        ///  The Divide key
        /// </summary>
        Divide = 111,
        /// <summary>
        ///  The F1 key
        /// </summary>
        F1 = 112,
        /// <summary>
        ///  The F2 key
        /// </summary>
        F2 = 113,
        /// <summary>
        ///  The F3 key
        /// </summary>
        F3 = 114,
        /// <summary>
        ///  The F4 key
        /// </summary>
        F4 = 115,
        /// <summary>
        ///  The F5 key
        /// </summary>
        F5 = 116,
        /// <summary>
        ///  The F6 key
        /// </summary>
        F6 = 117,
        /// <summary>
        ///  The F7 key
        /// </summary>
        F7 = 118,
        /// <summary>
        ///  The F8 key
        /// </summary>
        F8 = 119,
        /// <summary>
        ///  The F9 key
        /// </summary>
        F9 = 120,
        /// <summary>
        ///  The F10 key
        /// </summary>
        F10 = 121,
        /// <summary>
        ///  The F11 key
        /// </summary>
        F11 = 122,
        /// <summary>
        ///  The F12 key
        /// </summary>
        F12 = 123,
        /// <summary>
        ///  The NUM LOCK key
        /// </summary>
        NumLock = 144,
        /// <summary>
        ///  The SCROLL LOCK key
        /// </summary>
        Scroll = 145,
        /// <summary>
        ///  The left SHIFT key
        /// </summary>
        LShiftKey = 160,
        /// <summary>
        ///  The right SHIFT key
        /// </summary>
        RShiftKey = 161,
        /// <summary>
        ///  The left CTRL key
        /// </summary>
        LControlKey = 162,
        /// <summary>
        ///  The right CTRL key
        /// </summary>
        RControlKey = 163,
        /// <summary>
        ///  The left ALT key
        /// </summary>
        LMenu = 164,
        /// <summary>
        ///  The right ALT key
        /// </summary>
        RMenu = 165,
        /// <summary>
        ///  The Oem Semicolon key
        /// </summary>
        OemSemicolon = 186,
        /// <summary>
        ///  The Oem comma key
        /// </summary>
        OemComma = 188,
        /// <summary>
        ///  The Oem Minus key
        /// </summary>
        OemMinus = 189,
        /// <summary>
        ///  The Oem Period key
        /// </summary>
        OemPeriod = 190,
        /// <summary>
        ///  The Oem tilde key
        /// </summary>
        OemTilde = 192,
        /// <summary>
        ///  The Oem Open Brackets key
        /// </summary>
        OemOpenBrackets = 219,
        /// <summary>
        ///  The Oem Close Brackets key
        /// </summary>
        OemCloseBrackets = 221,
        /// <summary>
        ///  The Oem Backslash key
        /// </summary>
        OemBackslash = 226

    }
}